CPANPLUS::Module::Author::Fake(3)

NAME
CPANPLUS::Module::Author::Fake - dummy author object for CPANPLUS

SYNOPSIS
    my $auth = CPANPLUS::Module::Author::Fake->new(
                    author  => 'Foo Bar',
                    email   => 'luser@foo.com',
                    cpanid  => 'FOO',
                    _id     => $cpan->id,
                );

DESCRIPTION
A class for creating fake author objects, for shortcut use internally by CPANPLUS.

Inherits from "CPANPLUS::Module::Author".

METHODS

  new( _id => DIGIT )
Creates a dummy author object. It can take the same options as "CPANPLUS::Module::Author->new", but will fill in default ones if none are provided. Only the _id key is required.